Bug 1317475 - Text/fonts in Gnome disappearing
Summary: Text/fonts in Gnome disappearing
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 23
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-14 10:45 UTC by Martin Šťastný
Modified: 2016-12-20 19:26 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 19:26:34 UTC
Type: Bug


Attachments (Terms of Use)
Missing characters (100.70 KB, image/png)
2016-04-24 23:22 UTC, Darcy
no flags Details
Some i915 errors when restarting (1003.45 KB, image/png)
2016-05-22 16:23 UTC, Martin Šťastný
no flags Details

Description Martin Šťastný 2016-03-14 10:45:03 UTC
Description of problem:
After upgrade to 24, I was observing, that in some cases, when I write letter "Š", it was displayed without accent as "S". I didn't consider it important, but about a month ago, with some update, I started facing much more severe bug. Sometimes, mainly after resume from sleep, text in all applications in Gnome is disappearing (primarily when text have to be redrawn) and everything ends with void windows with just couple of letters displayed (including window headers, terminal, Firefox, etc), but behavior is quite unpredictable (currently, text is missing in all Gnome toolbars and windows headers, but terminal and Firefox are OK). After some research, I am sure that this is definitely problem of text post processing, because when I disable antialisaing/hinting, problem is gone. Gnome replace (with r) doesn't help, but reboot solves it for some time. I know, that there is (probably) workaround to use older AccelMethod UXA, but I have not tried so far. 

Version-Release number of selected component (if applicable):
Latest

How reproducible:
Standard Fedora Workstation installation with Gnome Shell running on X.

Steps to Reproduce:
1. Install Fedora 24 Workstation
2. Sleep/resume

Actual results:
Text is disappearing in Activities, window headers, terminal, Firefox, etc...

Expected results:
Text is displayed correctly.

Additional info:
Dell Latitude E6430, Intel Core i7-3540M, no discrete graphics

Comment 1 Martin Šťastný 2016-03-14 13:40:52 UTC
I have updated system now (through dnf update) and during the updating process, everything was fixed and text re-appeared. So something was reloaded, but I don't know what. Dnf output is below. It will be nice workaround to know what reload.

---------------
Removed:
  kernel.x86_64 4.3.3-301.fc23                                                  
  kernel-core.x86_64 4.3.3-301.fc23                                             
  kernel-modules.x86_64 4.3.3-301.fc23                                          
  kernel-modules-extra.x86_64 4.3.3-301.fc23                                    

Installed:
  kernel.x86_64 4.4.4-301.fc23                                                  
  kernel-core.x86_64 4.4.4-301.fc23                                             
  kernel-modules.x86_64 4.4.4-301.fc23                                          
  kernel-modules-extra.x86_64 4.4.4-301.fc23                                    

Upgraded:
  autocorr-cs.noarch 1:5.0.5.2-6.fc23                                           
  autocorr-en.noarch 1:5.0.5.2-6.fc23                                           
  bind-libs.x86_64 32:9.10.3-12.P4.fc23                                         
  bind-libs-lite.x86_64 32:9.10.3-12.P4.fc23                                    
  bind-license.noarch 32:9.10.3-12.P4.fc23                                      
  bind-utils.x86_64 32:9.10.3-12.P4.fc23                                        
  binutils.x86_64 2.25-17.fc23                                                  
  device-mapper-persistent-data.x86_64 0.6.2-0.1.rc6.fc23                       
  dnf.noarch 1.1.7-2.fc23                                                       
  dnf-conf.noarch 1.1.7-2.fc23                                                  
  dnf-plugins-core.noarch 0.1.17-1.fc23                                         
  dnf-yum.noarch 1.1.7-2.fc23                                                   
  evince.x86_64 3.18.2-4.fc23                                                   
  evince-djvu.x86_64 3.18.2-4.fc23                                              
  evince-libs.x86_64 3.18.2-4.fc23                                              
  evince-nautilus.x86_64 3.18.2-4.fc23                                          
  firefox.x86_64 45.0-4.fc23                                                    
  flash-plugin.x86_64 11.2.202.577-release                                      
  gkrellm.x86_64 2.3.6-0.1.rc1.git20160226.fc23                                 
  glusterfs.x86_64 3.7.8-3.fc23                                                 
  glusterfs-api.x86_64 3.7.8-3.fc23                                             
  glusterfs-client-xlators.x86_64 3.7.8-3.fc23                                  
  glusterfs-fuse.x86_64 3.7.8-3.fc23                                            
  glusterfs-libs.x86_64 3.7.8-3.fc23                                            
  gnome-terminal.x86_64 3.18.3-1.fc23                                           
  gtk-update-icon-cache.x86_64 3.18.9-1.fc23                                    
  gtk2.i686 2.24.30-1.fc23                                                      
  gtk2.x86_64 2.24.30-1.fc23            
gtk2-immodule-xim.x86_64 2.24.30-1.fc23                                       
  gtk3.x86_64 3.18.9-1.fc23                                                     
  gtk3-immodule-xim.x86_64 3.18.9-1.fc23                                        
  htop.x86_64 2.0.1-1.fc23                                                      
  kernel-headers.x86_64 4.4.4-301.fc23                                          
  libcmis.x86_64 0.5.1-1.fc23                                                   
  libinput.x86_64 1.2.1-4.fc23                                                  
  libpagemaker.x86_64 0.0.3-1.fc23                                              
  libreoffice-base.x86_64 1:5.0.5.2-6.fc23                                      
  libreoffice-calc.x86_64 1:5.0.5.2-6.fc23                                      
  libreoffice-core.x86_64 1:5.0.5.2-6.fc23                                      
  libreoffice-draw.x86_64 1:5.0.5.2-6.fc23                                      
  libreoffice-filters.x86_64 1:5.0.5.2-6.fc23                                   
  libreoffice-graphicfilter.x86_64 1:5.0.5.2-6.fc23                             
  libreoffice-impress.x86_64 1:5.0.5.2-6.fc23                                   
  libreoffice-math.x86_64 1:5.0.5.2-6.fc23                                      
  libreoffice-opensymbol-fonts.noarch 1:5.0.5.2-6.fc23                          
  libreoffice-pdfimport.x86_64 1:5.0.5.2-6.fc23                                 
  libreoffice-pyuno.x86_64 1:5.0.5.2-6.fc23                                     
  libreoffice-ure.x86_64 1:5.0.5.2-6.fc23                                       
  libreoffice-writer.x86_64 1:5.0.5.2-6.fc23                                    
  libreoffice-xsltfilter.x86_64 1:5.0.5.2-6.fc23                                
  libsmbclient.x86_64 2:4.3.6-0.fc23                                            
  libsolv.x86_64 0.6.19-2.fc23                                                  
  libsrtp.x86_64 1.5.4-3.fc23                                                   
  libwbclient.x86_64 2:4.3.6-0.fc23                                             
  man-db.x86_64 2.7.1-11.fc23                                                   
  mutter.x86_64 3.18.3-2.fc23                                                   
  nss.i686 3.23.0-1.0.fc23                                                      
  nss.x86_64 3.23.0-1.0.fc23                                                    
  nss-softokn.i686 3.23.0-1.0.fc23                                              
  nss-softokn.x86_64 3.23.0-1.0.fc23                                            
  nss-softokn-freebl.i686 3.23.0-1.0.fc23                                       
  nss-softokn-freebl.x86_64 3.23.0-1.0.fc23                                     
  nss-sysinit.x86_64 3.23.0-1.0.fc23                                            
  nss-tools.x86_64 3.23.0-1.0.fc23                                              
  nss-util.i686 3.23.0-1.0.fc23                                                 
  nss-util.x86_64 3.23.0-1.0.fc23                                               
  openssh.x86_64 7.2p2-1.fc23                                                   
  openssh-askpass.x86_64 7.2p2-1.fc23                                           
  openssh-clients.x86_64 7.2p2-1.fc23
gtk2-immodule-xim.x86_64 2.24.30-1.fc23                                       
  gtk3.x86_64 3.18.9-1.fc23                                                     
  gtk3-immodule-xim.x86_64 3.18.9-1.fc23                                        
  htop.x86_64 2.0.1-1.fc23                                                      
  kernel-headers.x86_64 4.4.4-301.fc23                                          
  libcmis.x86_64 0.5.1-1.fc23                                                   
  libinput.x86_64 1.2.1-4.fc23                                                  
  libpagemaker.x86_64 0.0.3-1.fc23                                              
  libreoffice-base.x86_64 1:5.0.5.2-6.fc23                                      
  libreoffice-calc.x86_64 1:5.0.5.2-6.fc23                                      
  libreoffice-core.x86_64 1:5.0.5.2-6.fc23                                      
  libreoffice-draw.x86_64 1:5.0.5.2-6.fc23                                      
  libreoffice-filters.x86_64 1:5.0.5.2-6.fc23                                   
  libreoffice-graphicfilter.x86_64 1:5.0.5.2-6.fc23                             
  libreoffice-impress.x86_64 1:5.0.5.2-6.fc23                                   
  libreoffice-math.x86_64 1:5.0.5.2-6.fc23                                      
  libreoffice-opensymbol-fonts.noarch 1:5.0.5.2-6.fc23                          
  libreoffice-pdfimport.x86_64 1:5.0.5.2-6.fc23                                 
  libreoffice-pyuno.x86_64 1:5.0.5.2-6.fc23                                     
  libreoffice-ure.x86_64 1:5.0.5.2-6.fc23                                       
  libreoffice-writer.x86_64 1:5.0.5.2-6.fc23                                    
  libreoffice-xsltfilter.x86_64 1:5.0.5.2-6.fc23                                
  libsmbclient.x86_64 2:4.3.6-0.fc23                                            
  libsolv.x86_64 0.6.19-2.fc23                                                  
  libsrtp.x86_64 1.5.4-3.fc23                                                   
  libwbclient.x86_64 2:4.3.6-0.fc23                                             
  man-db.x86_64 2.7.1-11.fc23                                                   
  mutter.x86_64 3.18.3-2.fc23                                                   
  nss.i686 3.23.0-1.0.fc23                                                      
  nss.x86_64 3.23.0-1.0.fc23                                                    
  nss-softokn.i686 3.23.0-1.0.fc23                                              
  nss-softokn.x86_64 3.23.0-1.0.fc23                                            
  nss-softokn-freebl.i686 3.23.0-1.0.fc23                                       
  nss-softokn-freebl.x86_64 3.23.0-1.0.fc23                                     
  nss-sysinit.x86_64 3.23.0-1.0.fc23                                            
  nss-tools.x86_64 3.23.0-1.0.fc23                                              
  nss-util.i686 3.23.0-1.0.fc23                                                 
  nss-util.x86_64 3.23.0-1.0.fc23                                               
  openssh.x86_64 7.2p2-1.fc23                                                   
  openssh-askpass.x86_64 7.2p2-1.fc23                                           
  openssh-clients.x86_64 7.2p2-1.fc23

Comment 2 Martin Šťastný 2016-03-14 13:46:34 UTC
Sorry, this is the correct output. In my previous post, one part is pasted twice.  
  
Removed:
  kernel.x86_64 4.3.3-301.fc23                                                  
  kernel-core.x86_64 4.3.3-301.fc23                                             
  kernel-modules.x86_64 4.3.3-301.fc23                                          
  kernel-modules-extra.x86_64 4.3.3-301.fc23                                    

Installed:
  kernel.x86_64 4.4.4-301.fc23                                                  
  kernel-core.x86_64 4.4.4-301.fc23                                             
  kernel-modules.x86_64 4.4.4-301.fc23                                          
  kernel-modules-extra.x86_64 4.4.4-301.fc23                                    

Upgraded:
  autocorr-cs.noarch 1:5.0.5.2-6.fc23                                           
  autocorr-en.noarch 1:5.0.5.2-6.fc23                                           
  bind-libs.x86_64 32:9.10.3-12.P4.fc23                                         
  bind-libs-lite.x86_64 32:9.10.3-12.P4.fc23                                    
  bind-license.noarch 32:9.10.3-12.P4.fc23                                      
  bind-utils.x86_64 32:9.10.3-12.P4.fc23                                        
  binutils.x86_64 2.25-17.fc23                                                  
  device-mapper-persistent-data.x86_64 0.6.2-0.1.rc6.fc23                       
  dnf.noarch 1.1.7-2.fc23                                                       
  dnf-conf.noarch 1.1.7-2.fc23                                                  
  dnf-plugins-core.noarch 0.1.17-1.fc23                                         
  dnf-yum.noarch 1.1.7-2.fc23                                                   
  evince.x86_64 3.18.2-4.fc23                                                   
  evince-djvu.x86_64 3.18.2-4.fc23                                              
  evince-libs.x86_64 3.18.2-4.fc23                                              
  evince-nautilus.x86_64 3.18.2-4.fc23                                          
  firefox.x86_64 45.0-4.fc23                                                    
  flash-plugin.x86_64 11.2.202.577-release                                      
  gkrellm.x86_64 2.3.6-0.1.rc1.git20160226.fc23                                 
  glusterfs.x86_64 3.7.8-3.fc23                                                 
  glusterfs-api.x86_64 3.7.8-3.fc23                                             
  glusterfs-client-xlators.x86_64 3.7.8-3.fc23                                  
  glusterfs-fuse.x86_64 3.7.8-3.fc23                                            
  glusterfs-libs.x86_64 3.7.8-3.fc23                                            
  gnome-terminal.x86_64 3.18.3-1.fc23                                           
  gtk-update-icon-cache.x86_64 3.18.9-1.fc23                                    
  gtk2.i686 2.24.30-1.fc23                                                      
  gtk2.x86_64 2.24.30-1.fc23            
  gtk2-immodule-xim.x86_64 2.24.30-1.fc23                                       
  gtk3.x86_64 3.18.9-1.fc23                                                     
  gtk3-immodule-xim.x86_64 3.18.9-1.fc23                                        
  htop.x86_64 2.0.1-1.fc23                                                      
  kernel-headers.x86_64 4.4.4-301.fc23                                          
  libcmis.x86_64 0.5.1-1.fc23                                                   
  libinput.x86_64 1.2.1-4.fc23                                                  
  libpagemaker.x86_64 0.0.3-1.fc23                                              
  libreoffice-base.x86_64 1:5.0.5.2-6.fc23                                      
  libreoffice-calc.x86_64 1:5.0.5.2-6.fc23                                      
  libreoffice-core.x86_64 1:5.0.5.2-6.fc23                                      
  libreoffice-draw.x86_64 1:5.0.5.2-6.fc23                                      
  libreoffice-filters.x86_64 1:5.0.5.2-6.fc23                                   
  libreoffice-graphicfilter.x86_64 1:5.0.5.2-6.fc23                             
  libreoffice-impress.x86_64 1:5.0.5.2-6.fc23                                   
  libreoffice-math.x86_64 1:5.0.5.2-6.fc23                                      
  libreoffice-opensymbol-fonts.noarch 1:5.0.5.2-6.fc23                          
  libreoffice-pdfimport.x86_64 1:5.0.5.2-6.fc23                                 
  libreoffice-pyuno.x86_64 1:5.0.5.2-6.fc23                                     
  libreoffice-ure.x86_64 1:5.0.5.2-6.fc23                                       
  libreoffice-writer.x86_64 1:5.0.5.2-6.fc23                                    
  libreoffice-xsltfilter.x86_64 1:5.0.5.2-6.fc23                                
  libsmbclient.x86_64 2:4.3.6-0.fc23                                            
  libsolv.x86_64 0.6.19-2.fc23                                                  
  libsrtp.x86_64 1.5.4-3.fc23                                                   
  libwbclient.x86_64 2:4.3.6-0.fc23                                             
  man-db.x86_64 2.7.1-11.fc23                                                   
  mutter.x86_64 3.18.3-2.fc23                                                   
  nss.i686 3.23.0-1.0.fc23                                                      
  nss.x86_64 3.23.0-1.0.fc23                                                    
  nss-softokn.i686 3.23.0-1.0.fc23                                              
  nss-softokn.x86_64 3.23.0-1.0.fc23                                            
  nss-softokn-freebl.i686 3.23.0-1.0.fc23                                       
  nss-softokn-freebl.x86_64 3.23.0-1.0.fc23                                     
  nss-sysinit.x86_64 3.23.0-1.0.fc23                                            
  nss-tools.x86_64 3.23.0-1.0.fc23                                              
  nss-util.i686 3.23.0-1.0.fc23                                                 
  nss-util.x86_64 3.23.0-1.0.fc23                                               
  openssh.x86_64 7.2p2-1.fc23                                                   
  openssh-askpass.x86_64 7.2p2-1.fc23                                           
  openssh-clients.x86_64 7.2p2-1.fc23
  openssh-server.x86_64 7.2p2-1.fc23                                            
  policycoreutils.x86_64 2.4-21.fc23                                            
  policycoreutils-python-utils.x86_64 2.4-21.fc23                               
  policycoreutils-python3.x86_64 2.4-21.fc23                                    
  python-dnf-plugins-core.noarch 0.1.17-1.fc23                                  
  python-jsonpointer.noarch 1.10-1.fc23                                         
  python-sqlalchemy.x86_64 1.0.12-1.fc23                                        
  python2-dnf.noarch 1.1.7-2.fc23                                               
  python3-dnf.noarch 1.1.7-2.fc23                                               
  python3-dnf-plugins-core.noarch 0.1.17-1.fc23                                 
  quota.x86_64 1:4.02-5.fc23                                                    
  quota-nls.noarch 1:4.02-5.fc23                                                
  samba-client.x86_64 2:4.3.6-0.fc23                                            
  samba-client-libs.x86_64 2:4.3.6-0.fc23                                       
  samba-common.noarch 2:4.3.6-0.fc23                                            
  samba-common-libs.x86_64 2:4.3.6-0.fc23                                       
  samba-common-tools.x86_64 2:4.3.6-0.fc23                                      
  samba-libs.x86_64 2:4.3.6-0.fc23                                              
  sqlite.x86_64 3.11.0-3.fc23                                                   
  sqlite-libs.i686 3.11.0-3.fc23                                                
  sqlite-libs.x86_64 3.11.0-3.fc23                                              
  traceroute.x86_64 3:2.0.22-1.fc23                                             
  transmission-common.x86_64 2.92-1.fc23                                        
  transmission-gtk.x86_64 2.92-1.fc23                                           
  unbound-libs.x86_64 1.5.8-1.fc23                                              
  xorg-x11-server-Xorg.x86_64 1.18.1-3.fc23                                     
  xorg-x11-server-Xwayland.x86_64 1.18.1-3.fc23                                 
  xorg-x11-server-common.x86_64 1.18.1-3.fc23                                   
  youtube-dl.noarch 2016.03.06-1.fc23

Comment 3 Piotr Popieluch 2016-03-23 08:41:51 UTC
I think I've encountered the same bug. I'm running F23 and have been experiencing this from about one week after suspend. Log-in/Log-out solves it. F2-r doesn't.

I've created a screenshot:

https://piotrp.fedorapeople.org/missing_letters_after_suspend.png

Comment 4 Piotr Popieluch 2016-03-23 08:56:37 UTC
Forgot to mention my hardware:

Dell XPS13 9333 (060A), with haswell i7-4500U running integrated graphics:

00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 09) (prog-if 00 [VGA controller])
	Subsystem: Dell Device 060a
	Flags: bus master, fast devsel, latency 0, IRQ 42
	Memory at f0000000 (64-bit, non-prefetchable) [size=4M]
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at 3000 [size=64]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [d0] Power Management version 2
	Capabilities: [a4] PCI Advanced Features
	Kernel driver in use: i915
	Kernel modules: i915

Comment 5 Martin Šťastný 2016-03-23 19:16:43 UTC
Definitely it is the same bug.

Comment 6 Michael Chapman 2016-04-04 22:55:09 UTC
I too am experiencing this (both with F23 and after upgrading to F24) on a Lenovo T530.

00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device 21f6
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 27
	Region 0: Memory at f0000000 (64-bit, non-prefetchable) [size=4M]
	Region 2: Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at 5000 [size=64]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915
	Kernel modules: i915

Comment 7 sedrubal 2016-04-14 13:11:43 UTC
Experiencing this too on F23. Acer Aspire V3 771G running KDE Plasma 5. This happens for example with Firefox, Eclipse and PavuControl (all GTK Applications).

Maybe this is because I installed some packages from fedora-updates-testing (but not sure)...

How did you generate this wonderful hardware overview?

Comment 8 Piotr Popieluch 2016-04-16 16:36:45 UTC
(In reply to sedrubal from comment #7)
> 
> How did you generate this wonderful hardware overview?

$ lspci -v

I've read some old issues which looked similar and turned out to be related to specific intel cards/firmware.

I also want to note that this does not happen every time after suspend/wake but about once in 10 times approx.

Comment 9 sedrubal 2016-04-16 17:25:00 UTC
Thanks ;)

In my case it happens now more often since some days (almost every unlock)... It might be related to seapplet (?). On my machine seapplet (gtk app that displays SE Linux injuries) always pops up after unlocking (because of i3nagbar).

00:00.0 Host bridge: Intel Corporation 3rd Gen Core processor DRAM Controller (rev 09)
        Subsystem: Acer Incorporated [ALI] Device 0686
        Flags: bus master, fast devsel, latency 0
        Capabilities: <access denied>
        Kernel driver in use: ivb_uncore

00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09) (prog-if 00 [VGA controller])
        Subsystem: Acer Incorporated [ALI] Device 0686
        Flags: bus master, fast devsel, latency 0, IRQ 28
        Memory at d4000000 (64-bit, non-prefetchable) [size=4M]
        Memory at c0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at 5000 [size=64]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: <access denied>
        Kernel driver in use: i915
        Kernel modules: i915

01:00.0 VGA compatible controller: NVIDIA Corporation GF108M [GeForce GT 630M] (rev a1) (prog-if 00 [VGA controller])
        Subsystem: Acer Incorporated [ALI] Device 0686
        Flags: bus master, fast devsel, latency 0, IRQ 29
        Memory at d2000000 (32-bit, non-prefetchable) [size=16M]
        Memory at a0000000 (64-bit, prefetchable) [size=256M]
        Memory at b0000000 (64-bit, prefetchable) [size=32M]
        I/O ports at 4000 [size=128]
        Expansion ROM at d3000000 [disabled] [size=512K]
        Capabilities: <access denied>
        Kernel driver in use: nouveau
        Kernel modules: nouveau

Comment 10 Pavel 2016-04-19 15:54:58 UTC
Existing and suggested ways of fixing:

1. add COGL_ATLAS_DEFAULT_BLIT_MODE=framebuffer to /etc/environment
2. add Option "AccelMethod" "uxa" to /etc/X11/xorg.conf.d/20-intel.conf

Just yet, I've tried the first one, and after a couple of suspends, the bug doesn't show itself.

Comment 11 Darcy 2016-04-24 23:21:05 UTC
Same behaviour on F23 with Intel hardware. Happy to post specs if it helps.

Comment 12 Darcy 2016-04-24 23:22:21 UTC
Created attachment 1150220 [details]
Missing characters

Comment 13 markusN 2016-05-01 06:37:16 UTC
See also bug: 1323762

Comment 14 Martin Šťastný 2016-05-22 16:23:37 UTC
Created attachment 1160349 [details]
Some i915 errors when restarting

This is photo of screen showing some i915 related bugs. Those bugs are shown when I am shutting down notebook and problem described in this bug is present.

Comment 15 aaronsloman 2016-10-03 00:21:22 UTC
I still have this problem in Fedora 24 on a Dell Latitude E6410 (laptop), but
for some reason not on a Desktop PC also running Fedora 24. Both use Intel
graphics (intel core i5 cpus), though the laptop is older.
 
I previously had the same problem in Fedora 22.

The symptom is that text on some graphical tools and displays is corrupted (Gnome displays only? I am use XFCE with the Ctwm window manager).

There is a lot more detail (including screenshots in attachments) in Bug #742776, which has been closed, apparently mistakenly.

The use of gnome-tweak-tool suggested in one of the comments on that bug doesn't help at all, nor do other suggestions I have seen in various places (e.g. rebuilding font cache).

The bug does not affect text in browsers, editors, xterm windows and various other utilities, ... only gnome untilities? xclock is one of the victims but not
xdaliclock.

The title of this bug refers to text disappearing. I also see some characters "blocked out", e.g. replaced by black rectangles, or only partially visible.

Occasionally, after the display is corrupted it somehow corrects itself -- but I have not found any pattern to this. Sometimes if I kill the window/panel with corrupted text then re-open, the text is normal (e.g. this is how I deal with xclock -- it works every time).

But killing and reopening does not work with everything, e.g. the network manager display or the gnome sound recorder or volume control panel.
 
While I was typing this it happened to xclock: most of the numbers and letters have been corrupted. Unlike other tools xclock never starts off with text corrupted: it happens only later.

This bug has been amazingly long lasting, and it's very surprising because so many other things display letters and numbers without any problems -- e.g. this text input panel in Firefox. Perhaps someone tried to make use of a misguided optimisation in a font-rendering mechanism used by a collection of utilities?

(I am not a graphical programmer so cannot offer to try to debug the code.)

Comment 16 aaronsloman 2016-10-04 22:05:24 UTC
(In reply to Pavel from comment #10)
> Existing and suggested ways of fixing:
> 
> 1. add COGL_ATLAS_DEFAULT_BLIT_MODE=framebuffer to /etc/environment
> 2. add Option "AccelMethod" "uxa" to /etc/X11/xorg.conf.d/20-intel.conf
> 
> Just yet, I've tried the first one, and after a couple of suspends, the bug
> doesn't show itself.

I have had the opposite experience. The first remedy did not work. But on the basis of about 24 hours experience the second remedy seems to have worked (after rebooting).
I also found it here:
https://fedoramagazine.org/solution-graphics-issues-intel-graphics-chipsets-fedora-22/


hardware from "lspci -v"

00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Co
ntroller (rev 02) (prog-if 00 [VGA controller])
        Subsystem: Dell Latitude E6410
        Flags: bus master, fast devsel, latency 0, IRQ 31
        Memory at f0000000 (64-bit, non-prefetchable) [size=4M]
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at 70b0 [size=8]
        [virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [d0] Power Management version 2
        Capabilities: [a4] PCI Advanced Features
        Kernel driver in use: i915
        Kernel modules: i915

I am currently using a test kernel which fixed another i915 bug (system freezing):
4.8.0-0.rc8.git2.2.fc26.x86_64 #1 SMP Thu Sep 29 21:09:26 UTC 2016

It appears that more fixing is needed to make it unnecessary for users to edit

/etc/X11/xorg.conf.d/20-intel.conf

to get rid of text corruption on Gnome panels.

Comment 17 Fedora End Of Life 2016-11-24 16:04:34 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2016-12-20 19:26:34 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.